# Uses of Interface
org.eclipse.birt.chart.ui.swt.interfaces.IDataElementComposite

## Uses of IDataElementComposite in org.eclipse.birt.chart.ui.swt.interfaces

Methods in org.eclipse.birt.chart.ui.swt.interfaces that return IDataElementComposite
Modifier and Type
Method
Description
`IDataElementComposite`
IChartUIFactory.`createDateTimeDataElementComposite(org.eclipse.swt.widgets.Composite parent, int style, org.eclipse.birt.chart.model.data.DateTimeDataElement data, boolean isNullAllowed, org.eclipse.emf.ecore.EObject eParent, String sProperty)`
Create instance of `IDataElementComposite` for editing date time.
`IDataElementComposite`
IChartUIFactory.`createNumberDataElementComposite(org.eclipse.swt.widgets.Composite parent, org.eclipse.birt.chart.model.data.DataElement data, org.eclipse.emf.ecore.EObject eParent, String sProperty)`
Create instance of `IDataElementComposite` for editing number.